Subject: Re: I2C RTC causes boot delay...

From: Steven Scholz <[email-masked]>
Date: Tue, 08 Apr 2003 12:52:24 +0200

I wrote,

> I have an I2C RTC connected to my MPC855T to substitute the internal one.
>
> I noticed that between
>
>    Verifying Checksum ... OK
>    Uncompressing Kernel Image ... OK
>
> and the next lines printed while booting "nothing" happens for THREE
> seconds.
>
> I reckon that is has something to do with not having an external 32kHz
> clock on the MPC. But I can't find the place in the sources!

I migth have found it:

Is it ok and enough to set

         ppc_md.set_rtc_time             = NULL;
         ppc_md.get_rtc_time             = NULL;

in platform_init()? And then later - when I2C is initialized - set it
to the appropriate I2C RTC functions?

Thanks,

Steven

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/